Loading...
Searching...
No Matches
rpcbasic_handler< T > Class Template Reference

Templated parent class for registering a ControlPort Extractor. More...

`#include <gnuradio/rpcregisterhelpers.h>`

## Public Member Functions

| rpcbasic_handler (T *source, const char *handler)
Public Member Functions inherited from rpchandler_base< T >
| rpchandler_base (T *source, const char *handler)
| ~rpchandler_base () override
void | post (pmt::pmt_t which_port, pmt::pmt_t msg) override
| send `msg` to `msg_accepter` on port `which_port`
Public Member Functions inherited from gr::messages::msg_accepter
| msg_accepter ()
virtual | ~msg_accepter ()

## Additional Inherited Members

Protected Attributes inherited from rpchandler_base< T >
T * | _source
const char * | _handler

## Detailed Description

template<typename T>
class rpcbasic_handler< T >

Templated parent class for registering a ControlPort Extractor.

## Constructor & Destructor Documentation

## rpcbasic_handler()

template<typename T>

rpcbasic_handler< T >::rpcbasic_handler | ( | T * | source,
|  | const char * | handler )

inline

References rpchandler_base< T >::rpchandler_base().

The documentation for this class was generated from the following file:

- rpcregisterhelpers.h